## superiotool 0.0+r2976

=== Makefile ===
##
## This file is part of the superiotool project.
##
## Copyright (C) 2007 Uwe Hermann <uwe@hermann-uwe.de>
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
##

PROGRAM = superiotool

CC      = gcc
INSTALL = /usr/bin/install
PREFIX  = /usr/local

# Set the superiotool version string from the highest revision number
# of the checked out superiotool files.
SVNDEF := -D'SUPERIOTOOL_VERSION="$(shell svnversion -cn . \
          | sed -e "s/.*://" -e "s/\([0-9]*\).*/\1/")"'

# TODO: -pedantic
CFLAGS = -O2 -Wall -Werror -Wstrict-prototypes -Wundef -Wstrict-aliasing \
         -Werror-implicit-function-declaration -ansi $(SVNDEF)

OBJS = superiotool.o ali.o fintek.o ite.o nsc.o smsc.o winbond.o

all: $(PROGRAM)

superiotool.o: *.c superiotool.h

$(PROGRAM): $(OBJS) superiotool.h
	$(CC) $(CFLAGS) -o $(PROGRAM) $(OBJS)

install: $(PROGRAM)
	$(INSTALL) $(PROGRAM) $(PREFIX)/bin
	mkdir -p $(PREFIX)/share/man/man8
	$(INSTALL) $(PROGRAM).8 $(PREFIX)/share/man/man8

clean:
	rm -f $(PROGRAM) *.o

.PHONY: all install clean

## superiotool 0.0+r3695

=== Makefile ===
--- 
+++ 
@@ -29,9 +29,8 @@
 SVNDEF := -D'SUPERIOTOOL_VERSION="$(shell svnversion -cn . \
           | sed -e "s/.*://" -e "s/\([0-9]*\).*/\1/")"'
 
-# TODO: -pedantic
 CFLAGS = -O2 -Wall -Werror -Wstrict-prototypes -Wundef -Wstrict-aliasing \
-         -Werror-implicit-function-declaration -ansi $(SVNDEF)
+         -Werror-implicit-function-declaration -ansi -pedantic $(SVNDEF)
 
 OBJS = superiotool.o ali.o fintek.o ite.o nsc.o smsc.o winbond.o
 
@@ -43,7 +42,7 @@
 	$(CC) $(CFLAGS) -o $(PROGRAM) $(OBJS)
 
 install: $(PROGRAM)
-	$(INSTALL) $(PROGRAM) $(PREFIX)/bin
+	$(INSTALL) $(PROGRAM) $(PREFIX)/sbin
 	mkdir -p $(PREFIX)/share/man/man8
 	$(INSTALL) $(PROGRAM).8 $(PREFIX)/share/man/man8

## superiotool 0.0+r5050

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ##
 ## This file is part of the superiotool project.
 ##
-## Copyright (C) 2007 Uwe Hermann <uwe@hermann-uwe.de>
+## Copyright (C) 2007-2010 Uwe Hermann <uwe@hermann-uwe.de>
 ##
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
@@ -34,17 +34,32 @@
 
 OBJS = superiotool.o ali.o fintek.o ite.o nsc.o smsc.o winbond.o
 
+OS_ARCH = $(shell uname)
+ifeq ($(OS_ARCH), Darwin)
+LDFLAGS = -framework IOKit -framework DirectIO -lpci -lz
+endif
+
+# Support for PCI-attached "Super I/Os" (e.g. in VIA VT82686A/B).
+CONFIG_PCI = yes
+
+ifeq ($(CONFIG_PCI), yes)
+CFLAGS += -DPCI_SUPPORT
+LDFLAGS += -lpci
+OBJS += pci.o via.o
+endif
+
 all: $(PROGRAM)
 
 superiotool.o: *.c superiotool.h
 
 $(PROGRAM): $(OBJS) superiotool.h
-	$(CC) $(CFLAGS) -o $(PROGRAM) $(OBJS)
+	$(CC) $(LDFLAGS) -o $(PROGRAM) $(OBJS)
 
 install: $(PROGRAM)
-	$(INSTALL) $(PROGRAM) $(PREFIX)/sbin
-	mkdir -p $(PREFIX)/share/man/man8
-	$(INSTALL) $(PROGRAM).8 $(PREFIX)/share/man/man8
+	mkdir -p $(DESTDIR)$(PREFIX)/sbin
+	$(INSTALL) $(PROGRAM) $(DESTDIR)$(PREFIX)/sbin
+	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man8
+	$(INSTALL) $(PROGRAM).8 $(DESTDIR)$(PREFIX)/share/man/man8
 
 clean:
 	rm -f $(PROGRAM) *.o

## superiotool 0.0+r6637

=== Makefile ===
--- 
+++ 
@@ -29,14 +29,26 @@
 SVNDEF := -D'SUPERIOTOOL_VERSION="$(shell svnversion -cn . \
           | sed -e "s/.*://" -e "s/\([0-9]*\).*/\1/")"'
 
-CFLAGS = -O2 -Wall -Werror -Wstrict-prototypes -Wundef -Wstrict-aliasing \
+CFLAGS += -O2 -Wall -Werror -Wstrict-prototypes -Wundef -Wstrict-aliasing \
          -Werror-implicit-function-declaration -ansi -pedantic $(SVNDEF)
+LDFLAGS += -lz
 
-OBJS = superiotool.o ali.o fintek.o ite.o nsc.o smsc.o winbond.o
+OBJS = superiotool.o serverengines.o ali.o fintek.o ite.o nsc.o nuvoton.o \
+       smsc.o winbond.o
 
 OS_ARCH = $(shell uname)
 ifeq ($(OS_ARCH), Darwin)
-LDFLAGS = -framework IOKit -framework DirectIO -lpci -lz
+LIBS = -framework IOKit -framework DirectHW -lpci -lz
+endif
+ifeq ($(OS_ARCH), FreeBSD)
+CFLAGS = -O2 -Wall -Werror -Wstrict-prototypes -Wundef -Wstrict-aliasing \
+         -Werror-implicit-function-declaration -ansi $(SVNDEF) \
+         -I/usr/local/include
+LDFLAGS += -L/usr/local/lib
+LIBS = -lz
+endif
+ifeq ($(OS_ARCH), NetBSD)
+LDFLAGS = -l$(shell uname -p)
 endif
 
 # Support for PCI-attached "Super I/Os" (e.g. in VIA VT82686A/B).
@@ -44,7 +56,7 @@
 
 ifeq ($(CONFIG_PCI), yes)
 CFLAGS += -DPCI_SUPPORT
-LDFLAGS += -lpci
+LIBS += -lpci
 OBJS += pci.o via.o
 endif
 
@@ -53,7 +65,7 @@
 superiotool.o: *.c superiotool.h
 
 $(PROGRAM): $(OBJS) superiotool.h
-	$(CC) $(LDFLAGS) -o $(PROGRAM) $(OBJS)
+	$(CC) $(LDFLAGS) -o $(PROGRAM) $(OBJS) $(LIBS)
 
 install: $(PROGRAM)
 	mkdir -p $(DESTDIR)$(PREFIX)/sbin

=== debian/changelog ===
superiotool (0.0+r6637-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:46:08 +0000

superiotool (0.0+r6637-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge NMU. Thanks Hector Oron <zumbi@debian.org>.
  * Standards-Version: 3.9.2 (no changes required).
  * debian/rules: Small updates.
  * Versioned Build-Depends on cdbs (>= 0.4.94), there seem to be issues
    with some earlier versions.

 -- Uwe Hermann <uwe@debian.org>  Mon, 13 Jun 2011 19:37:49 +0200

superiotool (0.0+r5050-1.1) unstable; urgency=low

  * Non-maintainer upload.
    - Add armhf to architecture list (Closes: #604669)
    - Replace DEB_OPT_FLAG with CFLAGS for FTBFS fix (Closes: #614469)
    - Bump standards version to 3.9.1

 -- Hector Oron <zumbi@debian.org>  Sun, 03 Apr 2011 13:59:26 +0000

superiotool (0.0+r5050-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.8.0 (no changes required).
  * debian/copyright: Updates.
  * Add new build-dependency on libpci-dev (upstream requirement).

 -- Uwe Hermann <uwe@debian.org>  Sun, 24 Jan 2010 18:32:50 +0100

superiotool (0.0+r3844-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Hermann <uwe@debian.org>  Sat, 27 Dec 2008 09:33:49 +0100

superiotool (0.0+r3695-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Hermann <uwe@debian.org>  Tue, 28 Oct 2008 11:57:56 +0100

superiotool (0.0+r3432-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.8.0 (no changes required).
  * Add a dummy debian/watch file (only contains a comment) to silense lintian.

 -- Uwe Hermann <uwe@debian.org>  Wed, 23 Jul 2008 22:20:28 +0200

superiotool (0.0+r3125-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
     + Update Homepage field.
     + Update package description (LinuxBIOS -> coreboot rename).
  * debian/copyright: Convert to the file to the machine-readable format
    described at http://wiki.debian.org/Proposals/CopyrightFormat.
  * Add upstream changelog ('svn log' output).

 -- Uwe Hermann <uwe@debian.org>  Mon, 03 Mar 2008 17:04:19 +0100

superiotool (0.0+r3023-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.7.3 (no changes required).
  * Restrict the architectures we try to build for to the known-good ones.
    + Compiles and is tested on real hardware:
      + amd64 i386 kfreebsd-amd64 kfreebsd-i386
    + Should compile, but untested on hardware:
      + alpha arm armel armeb ia64 netbsd-alpha netbsd-i386
    + Currently unsupported, doesn't compile or work:
      + hppa hurd-i386 m32r m68k mips mipsel powerpc sh sparc

 -- Uwe Hermann <uwe@debian.org>  Sun, 23 Dec 2007 02:16:08 +0100

superiotool (0.0+r2976-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Add Homepage field.

 -- Uwe Hermann <uwe@debian.org>  Wed, 21 Nov 2007 21:27:26 +0100

superiotool (0.0+r2889-1) unstable; urgency=low

  * Initial release (Closes: #445656).

 -- Uwe Hermann <uwe@debian.org>  Thu, 25 Oct 2007 14:47:20 +0200

=== debian/control ===
Source: superiotool
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Uwe Hermann <uwe@debian.org>
Build-Depends: cdbs (>= 0.4.94), debhelper (>= 5), libpci-dev
Standards-Version: 3.9.2
Homepage: http://coreboot.org/Superiotool

Package: superiotool
Architecture: alpha amd64 arm armel armeb armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 netbsd-alpha netbsd-i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Super I/O detection tool
 Superiotool is a user-space utility which can
 .
   - detect which Super I/O chip is soldered onto your mainboard,
 .
   - at which configuration port it's located (usually 0x2e or 0x4e), and
 .
   - dump all register contents of the Super I/O chip, together with the
     default values as per datasheet (to make comparing the values easy).
 .
 It is mainly used for coreboot (previously known as LinuxBIOS) development
 purposes (see coreboot.org for details on coreboot), but it may also be
 useful for other things.

=== debian/rules ===
#!/usr/bin/make -f

DEB_MAKE_INSTALL_TARGET := install PREFIX=$(CURDIR)/debian/superiotool/usr

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

# Note: The version here must be updated for each new upstream release!
CFLAGS += -Werror -Wstrict-prototypes -Wundef \
	  -Wstrict-aliasing -Werror-implicit-function-declaration -ansi \
	  -DPCI_SUPPORT -D'SUPERIOTOOL_VERSION="\"6637\""'

# Upstream ChangeLog generated via 'LC_ALL=C svn log > ChangeLog'.
DEB_INSTALL_CHANGELOGS_ALL := debian/ChangeLog

=== debian/watch ===
# Not needed/used, we're tracking upstream svn revisions.
